# Poco

# class FIFOBufferStream

Library: Foundation
Package: Streams
Header: Poco/FIFOBufferStream.h

## Description

An output stream for writing to a FIFO.

## Inheritance

Direct Base Classes: FIFOIOS, std::iostream

All Base Classes: FIFOIOS, std::ios, std::iostream

## Member Summary

Inherited Functions: close, rdbuf

## Constructors

### FIFOBufferStream

explicit FIFOBufferStream(
FIFOBuffer & buffer
);

Creates the FIFOBufferStream with supplied buffer as initial value.

### FIFOBufferStream

explicit FIFOBufferStream(
std::size_t length
);

Creates a FIFOBufferStream of the given length.

### FIFOBufferStream

FIFOBufferStream(
char * pBuffer,
std::size_t length
);

Creates a FIFOBufferStream and assigns the given buffer to it.

### FIFOBufferStream

FIFOBufferStream(
const char * pBuffer,
std::size_t length
);

Creates a FIFOBufferStream and assigns the given buffer to it.

## Destructor

### ~FIFOBufferStream

~FIFOBufferStream();

Destroys the FIFOBufferStream.

Flushes the buffer.

## Variables

### readable

Poco::BasicEvent < bool > & readable;

### writable

Poco::BasicEvent < bool > & writable;